Zum Hauptinhalt springen
POST
/
v3
/
enterprise
/
members
/
idp-groups
/
{idp_group_name}
IDP-Gruppe zuweisen
curl --request POST \
  --url https://api.devin.ai/v3/enterprise/members/idp-groups/{idp_group_name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role_id": "<string>"
}
'
import requests

url = "https://api.devin.ai/v3/enterprise/members/idp-groups/{idp_group_name}"

payload = { "role_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({role_id: '<string>'})
};

fetch('https://api.devin.ai/v3/enterprise/members/idp-groups/{idp_group_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "idp_group_name": "<string>",
  "role_assignments": [
    {
      "role": {
        "role_id": "<string>",
        "role_name": "<string>"
      },
      "org_id": "<string>"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Berechtigungen

Erfordert einen Servicebenutzer mit der Berechtigung ManageAccountMembership auf Enterprise-Ebene.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Pfadparameter

idp_group_name
string
erforderlich

Body

application/json
role_id
string
erforderlich

Antwort

Erfolgreiche Antwort

idp_group_name
string
erforderlich
role_assignments
RoleAssignment · object[]
erforderlich